summaryrefslogtreecommitdiff
path: root/tests/cp/cp-parents
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/cp-parents')
-rwxr-xr-xtests/cp/cp-parents8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/cp/cp-parents b/tests/cp/cp-parents
index 183a77a20..bab9c4fbf 100755
--- a/tests/cp/cp-parents
+++ b/tests/cp/cp-parents
@@ -18,6 +18,7 @@ framework_failure=0
mkdir $tmp || framework_failure=1
cd $tmp || framework_failure=1
mkdir foo bar || framework_failure=1
+mkdir -p a/b/c d || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
@@ -30,4 +31,11 @@ fail=0
# with the failed assertion from dirname.c.
cp -R --parents foo/ bar || fail=1
+# Exercise the make_path and re_protect code in cp.c.
+# FIXME: compare verbose output with expected output.
+cp --verbose -a --parents a/b/c d > /dev/null 2>&1 || fail=1
+test -d d/a/b/c || fail=1
+
+# FIXME: add tests to check that re_protect works
+
(exit $fail); exit